Subject: bug#38013: [PATCH] Rectangular region selection with mouse

From: Drew Adams <[email-masked]>
Date: Tue, 19 Nov 2019 10:32:49 -0800 (PST)

> > Count me as one user who disagrees that this deserves
> > a default binding.
> 
> A command that needs to drag the mouse makes no sense without a
> binding to some mouse gesture.

That's what we did (and do) with CUA mouse bindings: put
them in a minor mode keymap.

> > Eli suggested defining a minor mode, as does CUA.
> 
> I suggested a minor mode as a way to allow us using the same binding
> as used for another command by default.  I did NOT suggest to have a
> minor mode _instead_ of a binding.

I was (and I thought you were) suggesting putting the
key binding in a minor-mode keymap.  Users can turn
on the (global) mode and get that binding - and leave
the mode on forever, if they like.

So no, I too did not suggest having a minor mode
_instead_ of a key binding.  I had in mind a minor
mode that has its own key bindings.